net.sourceforge.pmd.cpd

## Class CPD

- java.lang.Object
- - net.sourceforge.pmd.cpd.CPD

    public class CPD
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CPD(CPDConfiguration theConfiguration)`

### Method Summary

Methods
`void` `add(File file)`
`void` `add(List<File> files)`
`void` `addAllInDirectory(String dir)`
`void` `addRecursively(String dir)`
`Iterator<Match>` `getMatches()`
`void` `go()`
`static void` `main(String[] args)`
`void` `setCpdListener(CPDListener cpdListener)`
`static void` `showUsage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CPD

    public CPD(CPDConfiguration theConfiguration)

### Method Detail

#### setCpdListener

    public void setCpdListener(CPDListener cpdListener)

#### go

    public void go()

#### getMatches

    public Iterator<Match> getMatches()

#### add

    public void add(File file)
             throws IOException

Throws:
  `IOException`

#### addAllInDirectory

    public void addAllInDirectory(String dir)
                           throws IOException

Throws:
  `IOException`

#### addRecursively

    public void addRecursively(String dir)
                        throws IOException

Throws:
  `IOException`

#### add

    public void add(List<File> files)
             throws IOException

Throws:
  `IOException`

#### main

    public static void main(String[] args)

#### showUsage

    public static void showUsage()